Bug 58125 - gcc internal error when compiling gtkmenushell.c
gcc internal error when compiling gtkmenushell.c
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
1.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-09 05:51 EST by namsh
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-09 06:33:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gtkmenushell.i (276.32 KB, text/plain)
2002-01-09 06:33 EST, namsh
no flags Details

  None (edit)
Description namsh 2002-01-09 05:51:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.7+) Gecko/20020103

Description of problem:
gcc-3.1-0.16

gcc -DHAVE_CONFIG_H -I. -I. -I.. -DG_LOG_DOMAIN=\"Gtk\" -DGTK_DISABLE_COMPAT_H
-DGTK_LIBDIR=\"/usr/lib\" -DGTK_DATA_PREFIX=\"/usr\"
-DGTK_SYSCONFDIR=\"/usr/etc\" -DGTK_LOCALEDIR=\"/usr/share/locale\" -I..
-DGTK_NO_CHECK_CASTS -DUSE_XIM -I/usr/include/glib-1.2 -I/usr/lib/glib/include
-D_REENTRANT -I/usr/X11R6/include -O2 -march=i686 -fomit-frame-pointer -pipe
-Wall -c gtkmenushell.c -MT gtkmenushell.lo -MD -MP -MF .deps/gtkmenushell.TPlo
 -fPIC -DPIC -o .libs/gtkmenushell.lo
gtkmenushell.c: In function `gtk_real_menu_shell_move_current':
gtkmenushell.c:1000: internal error: Segmentation fault

if I removed the '-O2' from the compiler option, then gcc works fine.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. compile gtkmenushell.c (GNOME CVS rev 1.27.2.9) with -O2
2. 
3.
	

Actual Results:  gcc crashed

Expected Results:  no crash

Additional info:
Comment 1 Jakub Jelinek 2002-01-09 05:59:08 EST
Can you please attach gtkmenushell.i (just add -save-temps to the above
command line)? Thanks.
Comment 2 namsh 2002-01-09 06:33:47 EST
Created attachment 42091 [details]
gtkmenushell.i
Comment 3 Jakub Jelinek 2002-01-28 07:06:59 EST
Should be fixed in gcc-3.1-0.18.

Note You need to log in before you can comment on or make changes to this bug.